import express, { type Request, type Response } from "express";
import userController from '../controllers/userController';
import checkAuthenticated from '../miscellaneous/checkAuthenticated';

const router = express.Router();

/* GET home page. */
router.get('/', userController.render);

router.post('/', userController.create);

router.put('/', checkAuthenticated, userController.get);

export default router;